
QGIS Application - Bug report #2971

Trunk r14153 - Turning an empty layer on and off zooms the map overview in and out

2010-08-27 04:32 AM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13031

Description

(This is using the r14153 build from the osgeo installer; please tell me if we aren't really supposed to report bugs against these builds)

If I have a layer (only tested with shapefiles) with no objects in it, the map zooms in and out when I turn it on and off.

This is disconcerting mostly because it occurs after I use Layer->New->New Shapefile layer.

History

#1 - 2010-08-27 04:33 AM - Alister Hood

Sorry; I forgot to say this doesn't occur in 1.5.0.

#2 - 2011-03-07 12:07 PM - Anne Ghisla

Is it reproducible with more recent builds?

#3 - 2011-03-07 01:28 PM - Alister Hood

No, now it only zooms the overview in and out ;)

Good catch.

#4 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:24 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2014-06-02 04:31 AM - Nathan Woodrow

- Resolution set to fixed/implemented

- Status changed from Open to Closed
- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

No longer a issue in master (2.4). Reopen if you see it happen again.
